/* color.cpp
 * Copyright (C) 2004 Djukic Marko, Pernus Klemen, Zagar Miha
 * For conditions of distribution and use, see the copyright notice in main.cpp
 */
#include "color.h"

Color::Color() {
	r = g = b = 255;
	set = 0;
}

Color::Color(unsigned char _r, unsigned char _g, unsigned char _b) {
	set_color(_r,_g,_b);
}

void Color::set_color(unsigned char _r, unsigned char _g, unsigned char _b) {
	r = _r;
	g = _g;
	b = _b;
}

unsigned char Color::to_grey() {
	return (int)((r+g+b)/3);
}

unsigned char Color::is_set() {
	if (r == 255 && g == 255 && b == 255)
		return 1;

	return 0;
}